Bug 1702054 - conversion host database fixture has wrong name
Summary: conversion host database fixture has wrong name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.4
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL: https://github.com/ManageIQ/manageiq/...
Whiteboard:
Depends On: 1695818
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 20:34 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
5 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1695818
Environment:
Last Closed: 2019-05-21 05:46:54 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:00 UTC

Comment 2 CFME Bot 2019-04-24 19:47:09 UTC
New commits detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/d003c2df6504247d2168b5459cc36765bbae4c5e
commit d003c2df6504247d2168b5459cc36765bbae4c5e
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Fri Mar  8 12:31:48 2019 -0500
Commit:     Jason Frey <fryguy9@gmail.com>
CommitDate: Fri Mar  8 12:31:48 2019 -0500

    Merge pull request #18535 from djberg96/conversion_host_notifications

    [V2V] Fix placeholder name for conversion hosts

    (cherry picked from commit 3af5a8ffc0092761295c32cbabfa418ebe9fe248)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702054

 db/fixtures/notification_types.yml | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 3 Shveta 2019-05-03 17:11:02 UTC
Tried to trigger the ConversionHost#enable_queue method 
using REST API 

{"name": "create converison host",
 "resource_type": "ManageIQ::Providers::Redhat::InfraManager::Host",
 "resource_id": "3",
 "auth_user": "root"
}

Request fails with error : "undefined method `userid' for nil:NilClass"

Tested on 5.10.4.1.20190430152139_40a1d86

Appliance : https://10.8.196.159/

Comment 6 Shveta 2019-05-03 21:26:42 UTC
Verification blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1705738.

Comment 8 Shveta 2019-05-05 18:46:56 UTC
 Notification.all.map(&:options)
PostgreSQLAdapter#log_after_checkout, connection_pool: size: 5, connections: 1, in use: 1, waiting_in_queue: 0
=> [{:subject=>"plan_KHPscv4q3l"}, {:op_name=>"enable", :op_arg=>"type=Host id=3"}]


Verifying based on above comment and result .
Verified in 5.10.4.1.20190430152139_40a1d86

Comment 10 errata-xmlrpc 2019-05-21 05:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.